


body  {
  background-image: url("bg.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #001a1a;
}


/*The header bar that stays at the top of the screen*/
.top-bar {
  text-transform: uppercase; /*Make the text in the header display as all caps*/
  font-style: italic;
  letter-spacing: 5px;
  top: 0;
  left: 0;
  position: fixed;
  width: 100%;
  background: black;
  color: white;
  padding: 5px;
  padding-left: 15px;
  line-height: 25px;
  overflow: auto;
  }
  
.main, .main-first {
  margin-top: 30px;
  margin-left: 450px;
  width: 500px;
  border: 1px solid black;
  background: #201f24;
  padding: 15px 25px 15px 25px;
  color:#e17572;
  box-shadow: 7px 7px rgb(0, 0, 0, 0.8);
  }
  
/*Make sure the first main box has an extra top margin so it's not hidden by the header*/
.main-first {
  margin-top: 60px;
  }

.sidebar {
  position: fixed;
  width: 300px;
  min-height: 75px;
  background:rgba(0,0,0,0.0);
  margin-left:25px;
  /*The 7px is vertical and horizontal offset for the shadow, if you want to change it.*/
  box-shadow: 7px 7px rgb(0, 0, 0, 0.0);
  }
  
/*Prevent image overflow*/  
.main img, .main-first img, .sidebar img {
  max-width: 100%;
  height: auto;
  }
  

.sidebar-pic { /*not in use, currently looks like SHIT*/
  text-align: center;
  width: 100px;
  height: 100px;
  margin: 0 auto;
  margin-top: 15px;
  margin-bottom: 15px;
  background: black;
  border-radius: 51px;
  padding: 2px;
  border: 0;
  }

.sidebar-pic img {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  }
  
/*Text section in sidebar.*/  
.sidebar-description {
  padding: 15px;
  }
  
.sidebar-links {
  text-transform: uppercase;
  letter-spacing: 2px;
  text-align: left;
  font-weight: bold;
  font-size: 16px;
  background: #201f24;
  color: #f37b78;
  width: 100%;
  height: 60px;
  }
  
.button {
  padding: 5px;
  padding-left: 10px;
  display: inline-block
  }
  
.sidebar-links a {
  color: #f37b78;
  text-decoration: none;
  font-style: bold;
  }
  
.sidebar-links a:hover {
  color: #ffce76;
  }
  
/*Text at bottom below main divs*/
.footer {
  text-align: right;
  margin-left: 475px;
  width: 500px;
  font-size: 13px;
  font-style: italic;
  margin-top: 20px;
  margin-bottom: 40px;
  }
  
/*For narrow screens*/
@media (max-width: 1100px) {
    .sidebar {
      width: 275px;
      margin-left: 10px;
      }
    .main, .main-first {
      width: 420px;
      margin-left: 315px;
      }
  }
  
/*Mobile compatibility.*/
@media (orientation: portrait) {
  .sidebar {
    margin: 0 auto;
    position: static;
    margin-top: 60px;
    margin-bottom: 15px;
    width: 90%;
    }
    
  .main, .main-first {
    margin: 0 auto;
    margin-top: 20px;
    width: 80%;
    }
    
  .footer {
    width: 80%;
    padding: 5%;
    margin: 0 auto;
    }
    
  .top-bar {
    font-size: 13.5px;
    letter-spacing: 4px;
    font-size: 90%; /*To help reduce height if it overflows the first line.*/
    }
    
   .guestbook {
              width: 100%;  /* Makes it scale to the width of its container */
              height: 100vh; /* Adjust height dynamically */
              min-height: 500px; /* Ensures it doesn’t collapse */
              max-width: 100%; /* Prevents overflow */
              display: block; /* Ensures it behaves as a block element */
              }

    
  }



	@-webkit-keyframes snowflakes-fall {
		0% {
			top: -10%
		}
		100% {
			top: 100%
		}
	}
	
	@-webkit-keyframes snowflakes-shake {
		0%,
		100% {
			-webkit-transform: translateX(0);
			transform: translateX(0)
		}
		50% {
			-webkit-transform: translateX(80px);
			transform: translateX(80px)
		}
	}
	
	@keyframes snowflakes-fall {
		0% {
			top: -10%
		}
		100% {
			top: 100%
		}
	}
	
	@keyframes snowflakes-shake {
		0%,
		100% {
			transform: translateX(0)
		}
		50% {
			transform: translateX(80px)
		}
	}
	
	.snowflake {
		position: fixed;
		top: -10%;
		z-index: 9999;
		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
		-webkit-animation-name: snowflakes-fall, snowflakes-shake;
		-webkit-animation-duration: 10s, 3s;
		-webkit-animation-timing-function: linear, ease-in-out;
		-webkit-animation-iteration-count: infinite, infinite;
		-webkit-animation-play-state: running, running;
		animation-name: snowflakes-fall, snowflakes-shake;
		animation-duration: 10s, 3s;
		animation-timing-function: linear, ease-in-out;
		animation-iteration-count: infinite, infinite;
		animation-play-state: running, running
	}
	
	.snowflake:nth-of-type(0) {
		left: 1%;
		-webkit-animation-delay: 0s, 0s;
		animation-delay: 0s, 0s
	}
	
	.snowflake:nth-of-type(1) {
		left: 10%;
		-webkit-animation-delay: 1s, 1s;
		animation-delay: 1s, 1s
	}
	
	.snowflake:nth-of-type(2) {
		left: 20%;
		-webkit-animation-delay: 6s, .5s;
		animation-delay: 6s, .5s
	}
	
	.snowflake:nth-of-type(3) {
		left: 30%;
		-webkit-animation-delay: 4s, 2s;
		animation-delay: 4s, 2s
	}
	
	.snowflake:nth-of-type(4) {
		left: 40%;
		-webkit-animation-delay: 2s, 2s;
		animation-delay: 2s, 2s
	}
	
	.snowflake:nth-of-type(5) {
		left: 50%;
		-webkit-animation-delay: 8s, 3s;
		animation-delay: 8s, 3s
	}
	
	.snowflake:nth-of-type(6) {
		left: 60%;
		-webkit-animation-delay: 6s, 2s;
		animation-delay: 6s, 2s
	}
	
	.snowflake:nth-of-type(7) {
		left: 70%;
		-webkit-animation-delay: 2.5s, 1s;
		animation-delay: 2.5s, 1s
	}
	
	.snowflake:nth-of-type(8) {
		left: 80%;
		-webkit-animation-delay: 1s, 0s;
		animation-delay: 1s, 0s
	}
	
	.snowflake:nth-of-type(9) {
		left: 90%;
		-webkit-animation-delay: 3s, 1.5s;
		animation-delay: 3s, 1.5s
	}
	
	.snowflake:nth-of-type(10) {
		left: 25%;
		-webkit-animation-delay: 2s, 0s;
		animation-delay: 2s, 0s
	}
	
	.snowflake:nth-of-type(11) {
		left: 65%;
		-webkit-animation-delay: 4s, 2.5s;
		animation-delay: 4s, 2.5s
	}
@font-face { font-family: jmh; src: url('jmh-cthulhumbus.ttf'); } 
 .center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

IMG.displayed {
    display: block;
    margin-left: auto;
    margin-right: auto }
P { text-align: center }
H2 { text-align: center }
